Skip to content

Your data / Gift planner

POST
https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets

Adds a student to plan gifts for. A student can be a target only once per inventory (409 otherwise).

Parameters

  • id (path): The gift inventory id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
id

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "studentId": "kei",
  "currentExp": 0,
  "targetExp": 29175,
  "useGiftBoxes": true,
  "giftBoxCount": 309,
  "gifts": [
    {
      "id": 5004,
      "count": 7,
      "enabled": true
    },
    {
      "id": 5005,
      "count": 36,
      "enabled": true
    },
    {
      "id": 5006,
      "count": 30,
      "enabled": true
    },
    {
      "id": 5016,
      "count": 55,
      "enabled": true
    },
    {
      "id": 5997,
      "count": 20,
      "enabled": true
    }
  ]
}
curl -X POST https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "studentId": "kei",
  "currentExp": 0,
  "targetExp": 29175,
  "useGiftBoxes": true,
  "giftBoxCount": 309,
  "gifts": [
    {
      "id": 5004,
      "count": 7,
      "enabled": true
    },
    {
      "id": 5005,
      "count": 36,
      "enabled": true
    },
    {
      "id": 5006,
      "count": 30,
      "enabled": true
    },
    {
      "id": 5016,
      "count": 55,
      "enabled": true
    },
    {
      "id": 5997,
      "count": 20,
      "enabled": true
    }
  ]
}'
Response
{
  "data": {
    "id": "k972n7c56aqv7mp1n09hnkam118622jj",
    "createdAt": "2026-05-04T20:28:31.806Z",
    "studentId": "kei",
    "currentExp": 0,
    "giftBoxCount": 309,
    "giftInventoryId": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "gifts": [
      {
        "id": 5004,
        "count": 7,
        "enabled": true
      },
      {
        "id": 5005,
        "count": 36,
        "enabled": true
      },
      {
        "id": 5006,
        "count": 30,
        "enabled": true
      },
      {
        "id": 5016,
        "count": 55,
        "enabled": true
      },
      {
        "id": 5997,
        "count": 20,
        "enabled": true
      }
    ],
    "targetExp": 29175,
    "useGiftBoxes": true
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc